> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coreweave.com/llms.txt
> Use this file to discover all available pages before exploring further.

# fine-tune 삭제

> 한 번의 요청으로 영구 삭제를 큐에 추가합니다. 트레이닝 모델, W&B 아티팩트, 생성된 출력, UI 기록을 제거합니다. 미세 조정된 모델은 비교 세트에서 제거되며, 이를 정답으로 사용하는 평가는 삭제됩니다. DELETE 요청을 반복하면 기존 오퍼레이션을 반환하거나, 정리가 시작된 이후에는 기록된 범위 내에서 실패한 정리를 재시도합니다. 선택적으로 사용할 수 있는 삭제 플랜 엔드포인트는 리소스가 존재하는 동안 오퍼레이션 상태를 포함하며, 리소스가 제거된 후에는 해당 리소스에 대한 GET 요청이 404를 반환합니다.



## OpenAPI

````yaml ko/openapi/model-distillation/management.openapi.yaml DELETE /tasks/{alias}/finetunes/{finetuneId}
openapi: 3.1.0
info:
  title: CoreWeave Model Distillation Management API
  version: 1.0.0
  description: |
    공급자, 프로젝트 (API 경로에서는 tasks라고 함), 라우팅 버전,
    데이터셋, 레이블 재지정, 미세 조정 모델, 평가, 분석을 관리하세요. 이 API는
    Model Distillation에서 사용하는 API와 동일합니다.
servers:
  - url: https://distillation.training.wandb.ai/v1
    description: 프로덕션
security:
  - WandbCredential: []
tags:
  - name: Providers
    description: OpenAI 호환 엔드포인트, 인증 정보, 모델 카탈로그 및 가격.
  - name: Tasks
    description: 안정적인 작업 ID와 작업 수준 정보입니다.
  - name: Routing
    description: 버전이 지정된 모델 대상, 가중치, 요청 매개변수.
  - name: Datasets
    description: 재현 가능한 데이터 스냅샷, 항목, 레이블 재지정, 재사용 가능한 모델 출력.
  - name: Fine-tunes
    description: 지도 파인튜닝 작업 및 호스팅된 모델 아티팩트.
  - name: Evaluations
    description: 직접 비교, 완전 일치, 범주화 평가.
  - name: Analytics
    description: 작업 트래픽, 토큰, 오류, 예상 비용 조회 모델.
  - name: UI preferences
    description: UI에서 사용하는 작업별 표시 기본 설정.
paths:
  /tasks/{alias}/finetunes/{finetuneId}:
    parameters:
      - $ref: '#/components/parameters/WandbEntity'
      - $ref: '#/components/parameters/TaskAlias'
      - $ref: '#/components/parameters/FinetuneId'
    delete:
      tags:
        - Fine-tunes
      summary: 미세 조정 모델 삭제
      description: >-
        한 번의 요청으로 영구 삭제를 큐에 추가합니다. 트레이닝 모델, W&B 아티팩트, 생성된 출력, UI 기록을 제거합니다. 미세
        조정된 모델은 비교 세트에서 제거되며, 이를 정답으로 사용하는 평가는 삭제됩니다. DELETE 요청을 반복하면 기존 오퍼레이션을
        반환하거나, 정리가 시작된 이후에는 기록된 범위 내에서 실패한 정리를 재시도합니다. 선택적으로 사용할 수 있는 삭제 플랜
        엔드포인트는 리소스가 존재하는 동안 오퍼레이션 상태를 포함하며, 리소스가 제거된 후에는 해당 리소스에 대한 GET 요청이 404를
        반환합니다.
      operationId: deleteFinetune
      responses:
        '202':
          description: 삭제가 큐에 추가되었거나 기존 오퍼레이션이 반환되었습니다. 완료된 오퍼레이션도 반환 대상에 포함됩니다.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeletionOperation'
        '204':
          description: 미세 조정 모델이 이미 존재하지 않으며 삭제 오퍼레이션이 없습니다.
        default:
          $ref: '#/components/responses/Error'
components:
  parameters:
    WandbEntity:
      name: Wandb-Entity
      in: header
      required: false
      description: 액세스 가능한 개인 또는 팀 entity. 인증된 사용자의 기본 entity를 사용하려면 생략하세요.
      schema:
        type: string
    TaskAlias:
      name: alias
      in: path
      required: true
      schema:
        type: string
        pattern: ^[a-z0-9-]{1,64}$
    FinetuneId:
      name: finetuneId
      in: path
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    DeletionOperation:
      type: object
      additionalProperties: false
      required:
        - id
        - resource_type
        - resource_id
        - status
        - current_step
        - error
        - created_at
        - updated_at
        - completed_at
        - destructive_started_at
      properties:
        id:
          type: string
          format: uuid
        resource_type:
          type: string
          enum:
            - dataset
            - finetune
        resource_id:
          type: string
          format: uuid
        status:
          type: string
          enum:
            - queued
            - running
            - failed
            - completed
        current_step:
          type: string
        error:
          type:
            - string
            - 'null'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        completed_at:
          type:
            - string
            - 'null'
          format: date-time
        destructive_started_at:
          type:
            - string
            - 'null'
          format: date-time
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
            type:
              type: string
      example:
        error:
          message: Task 'missing' not found in entity 'your-team'
          type: not_found
  responses:
    Error:
      description: 요청이 실패했습니다.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    WandbCredential:
      type: http
      scheme: bearer
      bearerFormat: W&B API key
      description: W&B API 키.

````